Subject: Re: enabling COMPILE_TEST support for GCC plugins in v4.11

From: Tony Breeds <[email-masked]>
Date: Sat, 24 Jun 2017 07:16:03 +1000

On Fri, Jun 23, 2017 at 03:43:58PM +1000, Michael Ellerman wrote:
> [Old thread just popped up in my inbox]
> 
> Kees Cook <[email-masked]> writes:
> > On Thu, Dec 8, 2016 at 5:52 PM, Paul Gortmaker
> > <[email-masked]> wrote:
> >> On Thu, Dec 8, 2016 at 2:00 PM, Kees Cook <[email-masked]> wrote:
> >>> Hi,
> >>>
> >>> I'd like to get the GCC plugins building under
> >>> allyesconfig/allmodconfig for -next soon (with the intention of
> >>> landing the change in v4.11). Specifically, I intend to revert
> >>> a519167e753e ("gcc-plugins: disable under COMPILE_TEST").
> >>
> >> If I recall correctly, I noted that the plugins broke the kernel.org
> >> cross compiler toolchains which led to the above disable.
> >
> > Do you mean these?
> > https://www.kernel.org/pub/tools/crosstool/
> 
> I think those are the ones Paul is talking about.
> 
> Those were mostly built by Tony, who is know, sadly, an Openstack
> developer and for some reason doesn't seem to have time to build
> toolchains for kernel hackers :P

Yeah sad but true.  Building a full suit took a couple of days and I'm
just not going to find that anytime soon.

I don't really want to build them one at a time but I could I suppose,
I'd play favotites x64_86, ppc64le and then the others if and when time
becomes an option.  My problem with that is it kinda defeats the aim on
why I put th etoolchains up there.  to enable testing accross the range
of architectures in a consistent way.

Another option would clearly be to find someone that is closer to the
kernel to do this thing.

Ho hum thoughts?

> As folks may have seen on LWN, there are now pre-built toolchains for
> many architectures available from the Free Electrons guys, so that may
> help to unblock this situation somewhat:
> 
> http://toolchains.free-electrons.com/

So ubuntu and Fedora each have cross toolschains in the distro and we
that those ^^.  Perhaps this no longer needs to be provided by the
kernel community?

Yours Tony.